Bug 395401 - S2Ram does work with ata_piix but not with ahci on x86_64/2.6.23.1-49.fc8
S2Ram does work with ata_piix but not with ahci on x86_64/2.6.23.1-49.fc8
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 04:29 EST by Adrien Bustany
Modified: 2008-03-07 12:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 12:10:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrien Bustany 2007-11-22 04:29:55 EST
Description of problem:
If using ahci instead of ata_piix for controlling the hard disk, a sony vaio sz6
(ICH8 controller) will not resume from S2RAM. Everything wakes up correctly
except the disk, so I can run recent commands (which are still in the RAM) but
everything else gives IO error. The disk spins though.

Version-Release number of selected component (if applicable):
Linux 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 22:14:09 EST 2007 x86_64 x86_64 x86_64
GNU/Linux

How reproducible:
Switch the HDD from ata to native sata, suspend to ram, try to resume

  
Actual results:
Everything wakes up (video mode is OK, eveything that was in ram works), but any
access to the disk fails. The disk spins up though.

Expected results:
Access to disk should work

Additional info:
Comment 1 Christopher Brown 2008-02-13 18:56:20 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few weeks if there is no additional information lodged.
Comment 2 Adrien Bustany 2008-03-07 12:10:01 EST
Hi,
this is now an old bug, and I reverted my bios to ide mode. Actually, switching
is quite painful cause I have to edit my bios with an hex editor. I close this
bug for now...

Note You need to log in before you can comment on or make changes to this bug.